Loading...
Searching...
No Matches
Opm::GridInterfaceEuler< DuneGrid > Class Template Reference

## Public Types

enum | { Dimension = DuneGrid::dimension }
typedef DuneGrid::LeafIntersectionIterator | DuneIntersectionIterator
typedef DuneGrid | GridType
typedef GridInterfaceEuler< DuneGrid > | InterfaceType
typedef GIE::CellIterator< InterfaceType > | CellIterator
typedef CellIterator::Vector | Vector
typedef CellIterator::Scalar | Scalar
typedef CellIterator::Index | Index
typedef GICellMapper< DuneGrid >::Type | Mapper
typedef Opm::SparseTable< int >::row_type | Indices

## Public Member Functions

| GridInterfaceEuler (const DuneGrid &grid, bool build_facemap=true)
void | init (const DuneGrid &grid, bool build_facemap=true)
CellIterator | cellbegin () const
CellIterator | cellend () const
int | numberOfCells () const
int | numberOfFaces () const
int | maxFacesPerCell () const
const DuneGrid & | grid () const
const Mapper & | mapper () const
Index | faceIndex (int cell_index, int local_face_index) const
Indices | faceIndices (int cell_index) const

The documentation for this class was generated from the following file:

- opm/porsol/common/GridInterfaceEuler.hpp